<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cart Quantity</title>
</head>
<body>
    
    <button>Show Quantity</button>

    <button onclick="
    // cartQuantity = cartQuantity+1;
    cartQuantity++;
    console.log(`Cart quantity : ${cartQuantity}`);
    ">Add to Cart</button>

    <button onclick="
    // cartQuantity = cartQuantity+2;
    cartQuantity+=2;
    console.log(`Cart quantity : ${cartQuantity}`);
    " >+2</button>

    <button onclick="
    cartQuantity = cartQuantity+3;
    cartQuantity += 3;
    console.log(`Cart quantity : ${cartQuantity}`);
    " >+3</button>

    <button onclick="
    cartQuantity = 0;
    console.log(`Cart was reset`);
    " >Reset Cart</button>

    <script>
        let cartQuantity = 0;
    </script>

</body>
</html>